## org.apache.fop.viewer
Class MessagesDialog

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JOptionPane
                              |
                              +--org.apache.fop.viewer.MessagesDialog

public class MessagesDialog
extends javax.swing.JOptionPane

Die Klasse `MessagesDialog` dient der Anzeige von Meldungen. Die Klasse erweitert `JOptionPane` um die Möglichkeit, auf Knopfdruck eine Detailanzeige einzublenden, in der z.B. bei Fehlern der StackTrace ausgegeben werden kann.

Version:
  1.0 09.06.99
Author:
  Juergen.Verwohlt@jCatalog.com
See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JOptionPane
`javax.swing.JOptionPane.AccessibleJOptionPane`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary
`protected java.lang.String` `detailInformation`
`protected javax.swing.JDialog` `dialog`
`protected boolean` `showsDetails`

Fields inherited from class javax.swing.JOptionPane

`CANCEL_OPTION, CLOSED_OPTION, DEFAULT_OPTION, ERROR_MESSAGE, icon, ICON_PROPERTY, INFORMATION_MESSAGE, INITIAL_SELECTION_VALUE_PROPERTY, INITIAL_VALUE_PROPERTY, initialSelectionValue, initialValue, INPUT_VALUE_PROPERTY, inputValue, message, MESSAGE_PROPERTY, MESSAGE_TYPE_PROPERTY, messageType, NO_OPTION, OK_CANCEL_OPTION, OK_OPTION, OPTION_TYPE_PROPERTY, options, OPTIONS_PROPERTY, optionType, PLAIN_MESSAGE, QUESTION_MESSAGE, SELECTION_VALUES_PROPERTY, selectionValues, UNINITIALIZED_VALUE, value, VALUE_PROPERTY, WANTS_INPUT_PROPERTY, wantsInput, WARNING_MESSAGE, YES_NO_CANCEL_OPTION, YES_NO_OPTION, YES_OPTION`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`MessagesDialog(java.lang.Object message, int messageType, int optionType, javax.swing.Icon icon, java.lang.Object[] options, java.lang.Object initialValue)`

Method Summary
`protected void` `displayDetails(javax.swing.JDialog dialog)` Die Methode fügt in den übergebenen Dialog eine scrollbare Textkomponente ein, in der die Detailinformation angezeigt wird.
`java.lang.String` `getDetailInformation()`
`javax.swing.JDialog` `getDialog()`
`void` `setDetailInformation(java.lang.String aValue)`
`void` `setDialog(javax.swing.JDialog aValue)`
`static void` `setTranslator(Translator aRes)`
`void` `setValue(java.lang.Object aValue)`
`static int` `showConfirmDialog(java.awt.Component parentComponent, java.lang.Object message, java.lang.String title, int optionType, int messageType)`
`static int` `showDetailDialog(java.awt.Component parentComponent, java.lang.Object message, java.lang.String title, int optionType, int messageType, javax.swing.Icon icon, java.lang.String newDetailInformation)` Öffnet ein Dialogfenster, bei dem zusätzlich zu den spez.

Methods inherited from class javax.swing.JOptionPane

`createDialog, createInternalFrame, getAccessibleContext, getDesktopPaneForComponent, getFrameForComponent, getIcon, getInitialSelectionValue, getInitialValue, getInputValue, getMaxCharactersPerLineCount, getMessage, getMessageType, getOptions, getOptionType, getRootFrame, getSelectionValues, getUI, getUIClassID, getValue, getWantsInput, paramString, selectInitialValue, setIcon, setInitialSelectionValue, setInitialValue, setInputValue, setMessage, setMessageType, setOptions, setOptionType, setRootFrame, setSelectionValues, setUI, setWantsInput, showConfirmDialog, showConfirmDialog, showConfirmDialog, showInputDialog, showInputDialog, showInputDialog, showInputDialog, showInternalConfirmDialog, showInternalConfirmDialog, showInternalConfirmDialog, showInternalConfirmDialog, showInternalInputDialog, showInternalInputDialog, showInternalInputDialog, showInternalMessageDialog, showInternalMessageDialog, showInternalMessageDialog, showInternalOptionDialog, showMessageDialog, showMessageDialog, showMessageDialog, showOptionDialog, updateUI`

Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setCursor, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### detailInformation

    protected java.lang.String detailInformation

### dialog

    protected javax.swing.JDialog dialog

### showsDetails

    protected boolean showsDetails

Constructor Detail

### MessagesDialog

    public MessagesDialog(java.lang.Object message,
                          int messageType,
                          int optionType,
                          javax.swing.Icon icon,
                          java.lang.Object[] options,
                          java.lang.Object initialValue)

Method Detail

### setTranslator

    public static void setTranslator(Translator aRes)

### showConfirmDialog

    public static int showConfirmDialog(java.awt.Component parentComponent,
                                        java.lang.Object message,
                                        java.lang.String title,
                                        int optionType,
                                        int messageType)

### showDetailDialog

    public static int showDetailDialog(java.awt.Component parentComponent,
                                       java.lang.Object message,
                                       java.lang.String title,
                                       int optionType,
                                       int messageType,
                                       javax.swing.Icon icon,
                                       java.lang.String newDetailInformation)

  Öffnet ein Dialogfenster, bei dem zusätzlich zu den spez. Buttons noch ein 'Detail'-Button erscheint. Wird dieser Knopf vom Benutzer betätigt, erscheint die übergebene Detailinformation in einem scrollbaren Bereich des Dialogs.

### displayDetails

    protected void displayDetails(javax.swing.JDialog dialog)

  Die Methode fügt in den übergebenen Dialog eine scrollbare Textkomponente ein, in der die Detailinformation angezeigt wird.
  Parameters:
    `JDialog` - dialog Der Dialog, in den die Textkomponente eingefügt werden soll

### setValue

    public void setValue(java.lang.Object aValue)

  Overrides:
    setValue in class javax.swing.JOptionPane

### getDetailInformation

    public java.lang.String getDetailInformation()

### setDetailInformation

    public void setDetailInformation(java.lang.String aValue)

### getDialog

    public javax.swing.JDialog getDialog()

### setDialog

    public void setDialog(javax.swing.JDialog aValue)

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.